Subject: [bug#54221] [PATCH 3/4] gnu: vim: Update package style.

From: Maxime Devos <[email-masked]>
Date: Wed, 02 Mar 2022 19:29:47 +0100

SeerLite via Guix-patches via schreef op wo 02-03-2022 om 10:17 [-
0300]:
> +            (lambda* (#:key inputs #:allow-other-keys)
> +              [this [bracketed line] seems irrelevant for my comment]
> +              (substitute* '("src/testdir/Makefile"
> +                             "src/testdir/test_normal.vim"
> +                             "src/testdir/test_popupwin.vim"
> +                             "src/testdir/test_shell.vim"
> +                             "src/testdir/test_system.vim"
> +                             "src/testdir/test_terminal.vim"
> +                             "src/testdir/test_terminal2.vim")
> +                (("/bin/sh") (search-input-file inputs "bin/sh")))
> +              (substitute* "src/testdir/test_autocmd.vim"
> +                (("/bin/kill") (search-input-file inputs "bin/kill")))))

This is test stuff, and these binaries do not seem to be present in
'inputs', they would be in the implicit 'native-inputs', so these would
need to search in '(or native-inputs inputs)' instead of 'inputs' to
avoid &search-path exceptions when cross-compiling:

(substitute* '("src/testdir/...")
  (("/bin/sh") (search-input-file (or native-inputs inputs) "bin/sh")))

Or simpler, there's a procedure for looking for 'bin/TOOL' in native-
inputs: 'which'!

;; the original code!
(substitute* '("src/testdir/...")
  (("/bin/sh") (which "sh")))

Why the change from 'which' to 'search-input-file'?

Greetings,
Maxime.